C dummy-shm.f
      Subroutine HMACHI
      Return
      End

      Subroutine MZEBRA
      Return
      End

      Subroutine MZSTOR
      Return
      End

      Subroutine MZWORK
      Return
      End

      Subroutine MZLINK
      Return
      End

      Subroutine MZFORM
      Return
      End

      Subroutine MZBOOK
      Return
      End

      Subroutine UCTOH
      Return
      End

      Function LENOCC()
      Integer LENOCC
      LENOCC = 0
      Return
      End
